---
AUTOGENERATED: DO NOT EDIT FILE DIRECTLY
title: Fetch
---


# Fetch

### Description

This environment has multiple objects of assorted types and colors. The
agent receives a textual string as part of its observation telling it which
object to pick up. Picking up the wrong object terminates the episode with
zero reward.

### Mission Space

"{syntax} {color} {type}"

{syntax} is one of the following: "get a", "go get a", "fetch a",
"go fetch a", "you must fetch a".

{color} is the color of the box. Can be "red", "green", "blue", "purple",
"yellow" or "grey".

{type} is the type of the object. Can be "key" or "ball".

### Action Space

| Num | Name         | Action               |
|-----|--------------|----------------------|
| 0   | left         | Turn left            |
| 1   | right        | Turn right           |
| 2   | forward      | Move forward         |
| 3   | pickup       | Pick up an object    |
| 4   | drop         | Unused               |
| 5   | toggle       | Unused               |
| 6   | done         | Unused               |

### Observation Encoding

- Each tile is encoded as a 3 dimensional tuple:
    `(OBJECT_IDX, COLOR_IDX, STATE)`
- `OBJECT_TO_IDX` and `COLOR_TO_IDX` mapping can be found in
    [minigrid/minigrid.py](minigrid/minigrid.py)
- `STATE` refers to the door state with 0=open, 1=closed and 2=locked

### Rewards

A reward of '1' is given for success, and '0' for failure.

### Termination

The episode ends if any one of the following conditions is met:

1. The agent picks up the correct object.
2. The agent picks up the wrong object.
2. Timeout (see `max_steps`).

### Registered Configurations

N: number of objects to be generated.

- `MiniGrid-Fetch-5x5-N2-v0`
- `MiniGrid-Fetch-6x6-N2-v0`
- `MiniGrid-Fetch-8x8-N3-v0`
