---
AUTOGENERATED: DO NOT EDIT FILE DIRECTLY
title: Go To Door
---


# Go To Door

### Description

This environment is a room with four doors, one on each wall. The agent
receives a textual (mission) string as input, telling it which door to go
to, (eg: "go to the red door"). It receives a positive reward for performing
the `done` action next to the correct door, as indicated in the mission
string.

### Mission Space

"go to the {color} door"

{color} is the color of the door. Can be "red", "green", "blue", "purple",
"yellow" or "grey".

### Action Space

| Num | Name         | Action               |
|-----|--------------|----------------------|
| 0   | left         | Turn left            |
| 1   | right        | Turn right           |
| 2   | forward      | Move forward         |
| 3   | pickup       | Unused               |
| 4   | drop         | Unused               |
| 5   | toggle       | Unused               |
| 6   | done         | Done completing task |

### Observation Encoding

- Each tile is encoded as a 3 dimensional tuple:
    `(OBJECT_IDX, COLOR_IDX, STATE)`
- `OBJECT_TO_IDX` and `COLOR_TO_IDX` mapping can be found in
    [minigrid/minigrid.py](minigrid/minigrid.py)
- `STATE` refers to the door state with 0=open, 1=closed and 2=locked

### Rewards

A reward of '1' is given for success, and '0' for failure.

### Termination

The episode ends if any one of the following conditions is met:

1. The agent stands next the correct door performing the `done` action.
2. Timeout (see `max_steps`).

### Registered Configurations

- `MiniGrid-GoToDoor-5x5-v0`
- `MiniGrid-GoToDoor-6x6-v0`
- `MiniGrid-GoToDoor-8x8-v0`
